Bug 1533730 (CVE-2018-0764) - CVE-2018-0764 .NET Core: Improper processing of XML documents can cause a denial of service
Summary: CVE-2018-0764 .NET Core: Improper processing of XML documents can cause a den...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-0764
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171117,repor...
Depends On: 1545983 1545984 1545985
Blocks: 1533726
TreeView+ depends on / blocked
 
Reported: 2018-01-12 04:40 UTC by Sam Fowler
Modified: 2019-06-08 22:36 UTC (History)
1 user (show)

Fixed In Version: dotnetcore 1.0.9, dotnetcore 1.1.6, dotnet 2.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 01:05:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0379 normal SHIPPED_LIVE Moderate: .NET Core on Red Hat Enterprise Linux security update 2018-03-01 12:51:11 UTC

Description Sam Fowler 2018-01-12 04:40:28 UTC
.NET Core 1.0, 1.1 and 2.0 perform improper processing of XML documents. A remote unauthenticated attacker could exploit this vulnerability by issuing specially crafted requests to a .NET Core application.

References:
https://nvd.nist.gov/vuln/detail/CVE-2018-0764
https://github.com/dotnet/core/blob/master/release-notes/2.0/2.0.5.md
https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2018-0764
https://github.com/dotnet/corefx/commit/3f1155b

Comment 2 errata-xmlrpc 2018-03-01 06:12:38 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2018:0379 https://access.redhat.com/errata/RHSA-2018:0379

Comment 3 Trevor Jay 2018-04-18 01:05:57 UTC
Closing as this flaw was addressed in an errata.


Note You need to log in before you can comment on or make changes to this bug.